WESNOTH(6)

NOM
wesnoth - La bataille pour Wesnoth, un jeu fantasy de stratégie tour par tour

SYNOPSIS
wesnoth [OPTIONS] [CHEMIN_DE_DATA]

DESCRIPTION
La bataille pour Wesnoth est un jeu de stratégie tour par tour dans un univers de fantasy. Venez à bout de tous les chefs ennemis en utilisant les unités adéquates et en gérant au mieux votre or et vos villages. Chaque unité a ses forces et ses faiblesses ; pour gagner, déployez vos troupes de façon optimales tout en empêchant vos ennemis de faire de même. Toutes les unités gagnent de l'expérience et acquièrent de nouvelles compétences, devenant plus puissantes. Jouez dans votre langue favorite, testez votre habileté contre l'ordinateur, ou rejoignez la grande communauté des joueurs en ligne de Wesnoth. Créez vos propres unités, vos scénarios ou vos campagnes et partagez-les avec d'autres.

OPTIONS

--bpp nombre
    Définit la valeur de bits par pixel (couleurs). Exemple : --bpp 32

--compress fichier_d'entrée fichier_de_sortie
    Compresse une sauvegarde au format texte WML (fichier_d'entrée) en format binaire WML (fichier_de_sortie).

-d, --debug
    Affiche des informations supplémentaires de débogage et permet d'utiliser des options en ligne de commande dans le jeu (voir Wiki : http://www.wesnoth.org/wiki/CommandMode pour plus d'informations sur la ligne de commande).

--decompress fichier_d'entrée fichier_de_sortie
    Décompresse une sauvegarde au format binaire WML (fichier_d'entrée) en format texte WML (fichier_de_sortie).

-f, --fullscreen
    Lance le jeu en mode plein écran.

--fps
    Affiche, dans un angle de l'écran, le nombre actuel d'images par seconde du jeu.

--gunzip fichier_d'entrée.gz
    Décompresse une sauvegarde qui est un fichier au format gzip et la place dans un fichier sans l'extension .gz. (fichier_d'entrée.gz) sera effacé.

--gzip fichier_d'entrée
    Compresse une sauvegarde au format gzip et la place dans fichier d'entrée.gz et efface fichier_d'entrée.

-h, --help
    Affiche un résumé des options de ligne de commande sur la sortie standard et quitte le programme.

--load sauvegarde
    Charge le fichier de sauvegarde à partir du répertoire de sauvegarde par défaut.

--log-niveau=domaine1,domaine2,...
    Définit le niveau d'alerte du débogueur. all permet de suivre tous les niveaux de déboguage. Niveaux disponibles : error, warning, info, debug. Le niveau par défaut est error.

--logdomains
    Affiche la liste de tous les types d'alerte et quitte.

--max-fps
    Nombre d'images par seconde que le jeu peut afficher. La valeur doit être comprise entre 1 et 1000, la valeur par défaut est 50.

--multiplayer
    Lance un jeu multijoueurs. Des options supplémentaires peuvent être utilisées avec --multiplayer : voir ci-dessous.

--nocache
    Désactive le cache des données de jeu.

--nosound
    Lance le jeu sans son ni musique.

--path
    Affiche le nom du répertoire principal du jeu et quitte le programme.

-r XxY, --résolution XxY
    Définit la résolution de l'écran. Exemple : -r 800x600

-t, --test
    Lance le jeu avec un petit scénario de test.

-v, --version
    Affiche le numéro de version et quitte le programme.

-w, --windowed
    Lance le jeu dans une fenêtre séparée.

--no-delay
    Lance le jeu sans délai pour la mesure des performances graphiques. Automatique avec --nogui.

--nogui
    Lance le jeu sans interface graphique. Doit apparaître avant --multiplayer.

--exit-at-end
    Quitte le programme à la fin du scénario, sans afficher le message victoire/défaite qui nécessite un click sur OK de la part du joueur. Utilisable pour permettre une mesure par script des performances.

Options pour --multiplayer
Les options spécifiques au mode multijoueur sont marquées d'un nombre. nombre doit être remplacé par un numéro de joueur. Il s'agit souvent de 1 ou de 2 mais cela dépend du nombre possible de joueurs pour le scénario choisi.

--algorithmnombre=valeur
    Sélectionne un algorithme utilisé par l'IA de cette faction. Valeurs possibles : idle_ai et sample_ai.

--controllernombre=valeur
    Sélectionne le type de joueur de ce camp. Valeurs possibles : human et ai.

--era=valeur
    Utilisez cette option pour jouer à l'ère sélectionnée au lieu de l'ère Par défaut. Cette ère est sélectionnée par un identifiant. Les ères standard sont décrites dans le fichier data/multiplayer.cfg.

--parmnombre=nom:valeur
    Ajoute des paramètres spécifiques à ce camp. Ces paramètres dépendent des options utilisées avec --controller et --algorithm. Ne devrait être utile qu'aux personnes expérimentant leur propre IA (non encore totalement documenté).

--scenario=valeur
    Sélectionne un scénario multijoueur par son identifiant. Celui par défaut est : multiplayer_The_Freelands.

--sidenombre=valeur
    Permet de sélectionner une faction. Cette faction est choisie par identifiant. Les factions sont décrites dans le fichier data/multiplayer.cfg.

--turns=valeur
    Définit le nombre de tours du scénario. Valeur par défaut : 50.

Exemple pour tester votre IA en python contre l'IA par défaut sans utiliser l'interface :
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/mon_ia_python.py

AUTEUR
Écrit par David White <davidnwhite@verizon.net>.
Édité par Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> et Soliton <soliton@gmail.com>.
Ce manuel a été à l'origine écrit par Cyril Bouthors <cyril@bouthors.org>.
Rendez-vous sur la page d'accueil officielle : http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Ceci est un logiciel libre ; ce logiciel est sous la licence GPL version 2, comme définie par la Free Software Foundation. Il n'offre AUCUNE GARANTIE, y compris en ce qui concerne la COMMERCIABILITÉ et la CONFORMITÉ À UNE UTILISATION PARTICULIÈRE.

VOIR AUSSI
wesnoth_editor(6), wesnothd(6)